language = "C"
style = "Tag"

sys_includes = [
    "stddef.h",
    "stdint.h",
    "sys/types.h",
    "sys/stat.h",
    "unistd.h",

    "bits/fcntl.h"
]
no_includes = true

include_guard = "_FCNTL_H"

usize_type = "size_t"
isize_type = "ssize_t"

[export]
include = ["flock"]
# Varargs are broken for these
exclude = ["fcntl", "open", "openat"]
